## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FunctionICUFormatNumber Class Reference

`#include <FunctionICUFormatNumber.hpp>`

Inheritance diagram for FunctionICUFormatNumber

Collaboration diagram for FunctionICUFormatNumber:

List of all members.

## Public Methods

- FunctionICUFormatNumber ()
- virtual ~FunctionICUFormatNumber ()
- virtual FunctionICUFormatNumber* clone () const
    Create a copy of the function object. More...

## Protected Methods

- virtual void doFormat ( XPathExecutionContext& executionContext, XalanNode* context, double theNumber, const XalanDOMString& thePattern, const XalanDecimalFormatSymbols* theDFS, XalanDOMString& theResult, const LocatorType* locator, bool fWarn = true) const

## Constructor & Destructor Documentation

FunctionICUFormatNumber::FunctionICUFormatNumber ( | )

virtual FunctionICUFormatNumber::~FunctionICUFormatNumber ( | )`[virtual]`

## Member Function Documentation

virtual FunctionICUFormatNumber* FunctionICUFormatNumber::clone ( | ) const`[virtual]`

Create a copy of the function object.

Returns:
  pointer to the new object

Reimplemented from FunctionFormatNumber.

virtual void FunctionICUFormatNumber::doFormat ( | XPathExecutionContext & executionContext,
| XalanNode * context,
| double theNumber,
| const XalanDOMString & thePattern,
| const XalanDecimalFormatSymbols * theDFS,
| XalanDOMString & theResult,
| const LocatorType * locator,
| bool fWarn = true ) const`[protected, virtual]`

Reimplemented from FunctionFormatNumber.

The documentation for this class was generated from the following file:

- FunctionICUFormatNumber.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.